﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridExportSettings
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        private void xamDataGrid1_RecordActivated(object sender, Infragistics.Windows.DataPresenter.Events.RecordActivatedEventArgs e)
        {
            Dispatcher.BeginInvoke(new Action(() => 
            {
                if (Keyboard.IsKeyDown(Key.Enter))
                {
                    CellValuePresenter.FromCell((e.Record as DataRecord).Cells[0]).StartEditMode();
                }
                
            }), System.Windows.Threading.DispatcherPriority.Background, null);
            
        }
    }
}
